// **********************************************************************
// 
// <copyright>
// 
//  BBN Technologies
//  10 Moulton Street
//  Cambridge, MA 02138
//  (617) 873-8000
// 
//  Copyright (C) BBNT Solutions LLC. All rights reserved.
// 
// </copyright>
// **********************************************************************
// 
// $Source: /cvsroot/gasp/uGASP/src/org/ugasp/impl/service/internal/gameserver/location/openmap/AziDist.java,v $
// $RCSfile: AziDist.java,v $
// $Revision: 1.1 $
// $Date: 2008-06-08 16:06:09 $
// $Author: pellerin $
// 
// **********************************************************************

package org.ugasp.impl.service.internal.gameserver.location.openmap;

/**
 * Structure contains azimuth and distance values. Distance units are
 * determined by the operation.
 * 
 * @see GreatCircle#ellipsoidalAziDist
 */
public class AziDist {
    public double faz;// forward azimuth
    public double baz;// backward azimuth
    public double distance;// distance
}